var search_data = {"index":{"searchIndex":["capng","action","error","flags","print","result","select","state","type","apply()","apply_caps_file()","caps_file()","caps_numeric()","caps_process()","caps_text()","change_id()","clear()","fill()","get_caps_file()","get_caps_process()","have_capabilities?()","have_capability?()","lock()","new()","new()","new()","restore()","save()","setpid()","update()","makefile"],"longSearchIndex":["capng","capng::action","capng::error","capng::flags","capng::print","capng::result","capng::select","capng::state","capng::type","capng#apply()","capng#apply_caps_file()","capng#caps_file()","capng::print#caps_numeric()","capng#caps_process()","capng::print#caps_text()","capng#change_id()","capng#clear()","capng#fill()","capng#get_caps_file()","capng#get_caps_process()","capng#have_capabilities?()","capng#have_capability?()","capng#lock()","capng::new()","capng::print::new()","capng::state::new()","capng::state#restore()","capng::state#save()","capng#setpid()","capng#update()",""],"info":[["CapNG","","CapNG.html","","<p>CapNG class.\n<p>@example\n\n<pre class=\"ruby\"><span class=\"ruby-comment\"># Current process capability example</span>\n<span class=\"ruby-identifier\">require</span> <span class=\"ruby-string\">&#39;capng&#39;</span>\n\n<span class=\"ruby-ivar\">@capng</span> = <span class=\"ruby-constant\">CapNG</span>.<span class=\"ruby-identifier\">new</span>(<span class=\"ruby-value\">:current_process</span>) <span class=\"ruby-operator\">...</span>\n</pre>\n"],["CapNG::Action","","CapNG/Action.html","","<p>Define ADD or Drop constants.\n"],["CapNG::Error","","CapNG/Error.html","","<p>Predefined Error class.\n"],["CapNG::Flags","","CapNG/Flags.html","","<p>Define NO_FLAGS, DROP_SUPP_GRP, CLEAR_BOUNDING, and INIT_SUPP_GRP (if available) constants.\n"],["CapNG::Print","","CapNG/Print.html","","<p>Print Linux capabitlities.\n<p>@example\n\n<pre>require &#39;capng&#39;\n\n@print = CapNG::Print.new\n@print.caps_text(:buffer, ...</pre>\n"],["CapNG::Result","","CapNG/Result.html","","<p>Define FAIL, NONE, PARTAIL, and FULL constants.\n"],["CapNG::Select","","CapNG/Select.html","","<p>Define CAPS, BOUNDS, BOTH, and AMBIENT (if available) constants.\n"],["CapNG::State","","CapNG/State.html","","<p>Handle CapNG state.\n<p>@example\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">require</span> <span class=\"ruby-string\">&#39;capng&#39;</span>\n\n<span class=\"ruby-ivar\">@state</span> = <span class=\"ruby-constant\">CapNG</span><span class=\"ruby-operator\">::</span><span class=\"ruby-constant\">State</span>.<span class=\"ruby-identifier\">new</span>\n<span class=\"ruby-ivar\">@state</span>.<span class=\"ruby-identifier\">save</span>\n<span class=\"ruby-comment\"># Some capability operations ...</span>\n</pre>\n"],["CapNG::Type","","CapNG/Type.html","","<p>Define EFFECTIVE, PERMITTED, INHERITABLE, BOUNDING_SET and AMBIENT (if available) constants.\n"],["apply","CapNG","CapNG.html#method-i-apply","(p1)","<p>Apply capabilities on specified target.\n<p>@param rb_select_name_or_enum [Symbol or String or Fixnum]\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">targets</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["apply_caps_file","CapNG","CapNG.html#method-i-apply_caps_file","(p1)","<p>Apply capabilities on specified target (file specific version).\n<p>@param rb_file [File] target file object …\n"],["caps_file","CapNG","CapNG.html#method-i-caps_file","(p1)","<p>Retrieve capabilities from file.\n<p>@param rb_file [File] target file object\n<p>@return [Boolean]\n"],["caps_numeric","CapNG::Print","CapNG/Print.html#method-i-caps_numeric","(p1, p2)","<p>Print capability as numeric.\n<p>@param rb_where_name_or_type [String or Symbol or Fixnum] Print target. @param …\n"],["caps_process","CapNG","CapNG.html#method-i-caps_process","()","<p>Specify process ID to retrieve process capabilities.  If not calling #setpid before, it returns current …\n"],["caps_text","CapNG::Print","CapNG/Print.html#method-i-caps_text","(p1, p2)","<p>Print capability as text.\n<p>@param rb_where_name_or_type [String or Symbol or Fixnum] Print target. @param …\n"],["change_id","CapNG","CapNG.html#method-i-change_id","(p1, p2, p3)","\n<pre>Change the credentials retaining capabilities.</pre>\n<p>@param rb_uid [Fixnum] User ID. @param rb_gid [Fixnum] …\n"],["clear","CapNG","CapNG.html#method-i-clear","(p1)","<p>Clear capabilities on specified target.\n<p>@param rb_select_name_or_enum [Symbol or String or Fixnum] targets …\n"],["fill","CapNG","CapNG.html#method-i-fill","(p1)","<p>Fill capabilities on specified target.\n<p>@param rb_select_name_or_enum [Symbol or String or Fixnum] targets …\n"],["get_caps_file","CapNG","CapNG.html#method-i-get_caps_file","(p1)","<p>Retrieve capabilities from file.\n<p>@param rb_file [File] target file object\n<p>@return [Boolean]\n"],["get_caps_process","CapNG","CapNG.html#method-i-get_caps_process","()","<p>Specify process ID to retrieve process capabilities.  If not calling #setpid before, it returns current …\n"],["have_capabilities?","CapNG","CapNG.html#method-i-have_capabilities-3F","(p1)","<p>Check whether capabilities on specified target or not.\n<p>@param rb_select_name_or_enum [Symbol or String …\n"],["have_capability?","CapNG","CapNG.html#method-i-have_capability-3F","(p1, p2)","<p>Check whether capabilities on specified target or not.\n<p>@param rb_capability_name_or_type [Symbol or String …\n"],["lock","CapNG","CapNG.html#method-i-lock","()","<p>Lock capabilities.\n<p>@return [Boolean]\n"],["new","CapNG","CapNG.html#method-c-new","(p1 = v1, p2 = v2)","<p>Initalize CapNG class.\n<p>@overload initialize(target=nil, pid_or_file=nil)\n\n<pre>@option param target [String or ...</pre>\n"],["new","CapNG::Print","CapNG/Print.html#method-c-new","()","<p>Initalize Print class.\n<p>@return [nil]\n"],["new","CapNG::State","CapNG/State.html#method-c-new","()","<p>Initalize State class.\n<p>@return [nil]\n"],["restore","CapNG::State","CapNG/State.html#method-i-restore","()","<p>Restore saved capability state.\n<p>@return [nil]\n"],["save","CapNG::State","CapNG/State.html#method-i-save","()","<p>Save current capability state.\n<p>@return [nil]\n"],["setpid","CapNG","CapNG.html#method-i-setpid","(p1)","<p>Specify process ID to retrieve other process capabilities.\n<p>@param rb_pid [Fixnum] Process ID.\n<p>@return [nil] …\n"],["update","CapNG","CapNG.html#method-i-update","(p1, p2, p3)","<p>Update capabilities.\n<p>@param rb_action_name_or_action [Symbol or String or Fixnum] ADD or DROP. @param …\n"],["Makefile","","ext/capng/Makefile.html","","<p>SHELL = /bin/sh\n<p># V=0 quiet, V=1 verbose.  other values don&#39;t work. V = 1 Q1 = $(V:1=) Q = $(Q1:0=@) …\n"]]}}